Summary: SANE -- Easy local and networked scanner access
Name: sane
Version: 1.0.1
Release: 2
Group: Applications/Graphics
Copyright: GPL, LGPL
URL: http://www.mostang.com/sane/
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://ftp.mostang.com/pub/sane/sane-%{version}.tar.gz
Buildroot: /var/tmp/%{name}-root
Provides: libsane.so.1

%description
SANE (Scanner Access Now Easy) is a sane and simple interface
to both local and networked scanners and other image acquisition devices
like digital still and video cameras.  SANE currently includes modules for
accessing a range of scanners, including models from Agfa SnapScan, Apple,
Artec, Canon, CoolScan, Epson, HP, Microtek, Mustek, Nikon, Siemens,
Tamarack, UMAX, Connectix, QuickCams and other SANE devices via network.

Documentations are available at http://www.mostang.com/sane/docs.html.

This is a stripped-down package containing only support for a 
LOCAL, HP BRANDED scanner which is good enough for packager's own
need. Rebuild it if this doesn't fit yours.


%prep
%setup -q


%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s ./configure \
	--prefix=/usr --sysconfdir=/etc --with-gnu-ld
make


%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/usr sysconfdir=$RPM_BUILD_ROOT/etc install
(
	cd $RPM_BUILD_ROOT/usr/lib
	cp -pf sane/libsane-hp.so.1          libsane.so.1
	cp -pf sane/libsane-hp.so.%{version} libsane.so.%{version}
	strip libsane.so.*
)
install -m755 tools/find-scanner $RPM_BUILD_ROOT/usr/bin
chmod 4755 $RPM_BUILD_ROOT/usr/bin/*


%post
if [ -d /usr/lib/gimp ]; then
  GIMPDIR=`ls -d /usr/lib/gimp/[01]*`
  ln -sf /usr/bin/xscanimage $GIMPDIR/plug-ins/xscanimage
fi

%preun
if [ $1 = 0 ]; then
  if [ -d /usr/lib/gimp ]; then
    GIMPDIR=`ls -d /usr/lib/gimp/[01]*`
    rm -f $GIMPDIR/plug-ins/xscanimage
  fi
fi


%files
%defattr(-,root,root)
%doc README AUTHORS NEWS
%dir /etc/sane.d
%config /etc/sane.d/hp.conf
/usr/bin/find-scanner
/usr/bin/scanimage
/usr/bin/xscanimage
/usr/lib/libsane.so.*
/usr/man/man1/scanimage.1
/usr/man/man1/xscanimage.1
/usr/man/man5/sane-hp.5
/usr/man/man5/sane-scsi.5
%config /usr/share/sane-style.rc


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Tue May  4 1999 Hao Li <hli@wag.caltech.edu>
* sane-1.0.1-2. Stripped down to LOCAL STATIC HP only.

* Sat May  1 1999 Hao Li <hli@wag.caltech.edu>
- sane-1.0.1-1. Based on rhcn-1.0.1-2.
- rhcn package splits sane into sane and sane-clients. This doesn't make
  any sense since sane-clients depends on sane, and people rarely install
  sane without sane-clients. So I decide against this.
